Subject: Re: [PATCH 0/3] [RFC] tests: add test_todo() for known failures

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Oct 2022 10:05:31 -0700

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

> test_todo() is intended as a fine grained alternative to
> test_expect_failure(). Rather than marking the whole test as failing
> test_todo() is used to mark individual failing commands within a test. This
> approach to writing failing tests allows us to detect unexpected failures
> that are hidden by test_expect_failure().
>
> This series attempts to keep most of the benefits test_expect_todo()
> previously proposed by Ævar[1] while being simpler to use.

Great.  We discussed this some time ago and I am happy to see the
work re-ignited.

Thanks.